6.0.0-git
2019-04-21

[#11505] Traditional view: Filter on mailing list messages crash
Summary Traditional view: Filter on mailing list messages crash
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-13 (2381 days ago)
Due
Updated 2012-10-15 (2379 days ago)
Assigned
Resolved 2012-10-13 (2381 days ago)
Milestone
Patch No

History
2012-10-15 20:46:38 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (develop):

commit 936bc2695ef74c82f22c7c9a5880e9da2167d631
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Oct 13 16:02:32 2012 -0600

     [mms] Fix quoting empty astrings (Bug #11505).

     stream_copy_to_stream() is broken: for 0-length streams, it won't 
cause the
     filter on that stream to be triggered.

  .../lib/Horde/Imap/Client/Data/Format/Astring.php  |    2 +-
  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    8 ++++++--
  framework/Imap_Client/package.xml                  |    2 ++
  .../test/Horde/Imap/Client/DataFormatTest.php      |   15 +++++++++++++++
  4 files changed, 24 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/936bc2695ef74c82f22c7c9a5880e9da2167d631
2012-10-15 18:40:28 Michael Slusarz Comment #5 Reply to this comment
What kind of header is this filter looking for?

I tried it with a list that just has a "X-list:" header,
my guess is that is searches for "Precedence: bulk" or something.
"List-Id".  See RFC 2919.
2012-10-15 09:11:58 Thomas Jarosch Comment #4 Reply to this comment
Error message is gone. Thanks.

What kind of header is this filter looking for?

I tried it with a list that just has a "X-list:" header,
my guess is that is searches for "Precedence: bulk" or something.

Thomas

2012-10-13 22:27:12 Michael Slusarz Assigned to Michael Slusarz
 
2012-10-13 22:27:03 Michael Slusarz Comment #3
Version ⇒ Git master
Queue ⇒ Horde Framework Packages
State ⇒ Resolved
Reply to this comment
Fixed in Horde_Imap_Client.
2012-10-13 22:25:56 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 936bc2695ef74c82f22c7c9a5880e9da2167d631
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Sat Oct 13 16:02:32 2012 -0600

     [mms] Fix quoting empty astrings (Bug #11505).

     stream_copy_to_stream() is broken: for 0-length streams, it won't 
cause the
     filter on that stream to be triggered.

  .../lib/Horde/Imap/Client/Data/Format/Astring.php  |    2 +-
  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    8 ++++++--
  framework/Imap_Client/package.xml                  |    2 ++
  .../test/Horde/Imap/Client/DataFormatTest.php      |   15 +++++++++++++++
  4 files changed, 24 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/936bc2695ef74c82f22c7c9a5880e9da2167d631
2012-10-13 14:07:01 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Traditional view: Filter on mailing list messages crash
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

when you try to filter a folder for "mailing list messages only",
you'll get a blank page and this crash:

2012-10-13T16:05:02+02:00 ERR: HORDE [imp] IMAP error reported by 
server. Missing required argument to Search header [pid 4939 on line 
379 of "/datastore/DEVEL/horde/imp/lib/Imap.php"]


  1. IMP_Mailbox->getListOb() /datastore/DEVEL/horde/imp/mailbox.php:251
  2. IMP_Factory_MailboxList->create() 
/datastore/DEVEL/horde/imp/lib/Mailbox.php:977
  3. IMP_Mailbox_List_Track->setIndex() 
/datastore/DEVEL/horde/imp/lib/Factory/MailboxList.php:95
  4. IMP_Mailbox_List_Track->_rebuild() 
/datastore/DEVEL/horde/imp/lib/Mailbox/List/Track.php:125
  5. IMP_Mailbox_List_Track->_buildMailbox() 
/datastore/DEVEL/horde/imp/lib/Mailbox/List/Track.php:162
  6. IMP_Mailbox_List->_buildMailbox() 
/datastore/DEVEL/horde/imp/lib/Mailbox/List/Track.php:151
  7. IMP_Imap->search() /datastore/DEVEL/horde/imp/lib/Mailbox/List.php:308
  8. IMP_Imap->__call() /datastore/DEVEL/horde/imp/lib/Mailbox/List.php:308
  9. IMP_Mailbox->getListOb() /datastore/DEVEL/horde/imp/mailbox.php:251
10. IMP_Factory_MailboxList->create() 
/datastore/DEVEL/horde/imp/lib/Mailbox.php:977
11. IMP_Mailbox_List_Track->setIndex() 
/datastore/DEVEL/horde/imp/lib/Factory/MailboxList.php:95
12. IMP_Mailbox_List_Track->_rebuild() 
/datastore/DEVEL/horde/imp/lib/Mailbox/List/Track.php:125
13. IMP_Mailbox_List_Track->_buildMailbox() 
/datastore/DEVEL/horde/imp/lib/Mailbox/List/Track.php:162
14. IMP_Mailbox_List->_buildMailbox() 
/datastore/DEVEL/horde/imp/lib/Mailbox/List/Track.php:151
15. IMP_Imap->search() /datastore/DEVEL/horde/imp/lib/Mailbox/List.php:308
16. IMP_Imap->__call() /datastore/DEVEL/horde/imp/lib/Mailbox/List.php:308
17. call_user_func_array() /datastore/DEVEL/horde/imp/lib/Imap.php:377
18. Horde_Imap_Client_Base->search()
19. Horde_Imap_Client_Socket->_search() 
/datastore/DEVEL/horde/framework/Imap_Client/lib/Horde/Imap/Client/Base.php:2111
20. Horde_Imap_Client_Socket->_sendLine() 
/datastore/DEVEL/horde/framework/Imap_Client/lib/Horde/Imap/Client/Socket.php:2050
21. Horde_Imap_Client_Socket->_getLine() 
/datastore/DEVEL/horde/framework/Imap_Client/lib/Horde/Imap/Client/Socket.php:3751


Cheers,
Thomas

Saved Queries